local _G = getfenv(0)

function Skinner:XPerl_Options()

--Config                             
	self:keepRegions(XPerl_Options_Party_Anchor, {4,5}) -- N.B. regions 4 & 5 are text
	self:keepRegions(XPerl_Options_Raid_Anchor, {4,5}) -- N.B. regions 4 & 5 are text
    self:keepRegions(XPerl_Options_DropDown_LoadSettings, {4,5}) -- N.B. regions 4 & 5 are text
	XPerl_Options_Player_Gap:SetWidth(XPerl_Options_Player_Gap:GetWidth() - 10)
	self:moveObject(XPerl_Options_Player_Gap, "-", 10, "+", 0)
	self:moveObject(XPerl_Options_Player_BiggerGap, "+", 4, "+", 0)
	self:skinEditBox(XPerl_Options_Player_Gap)
	self:moveObject(XPerl_Options_Party_Gap, "-", 6, "+", 0)
	self:moveObject(XPerl_Options_Party_BiggerGap, "+", 6, "+", 0)
	self:skinEditBox(XPerl_Options_Party_Gap)
	XPerl_Options_Raid_Gap:SetWidth(XPerl_Options_Raid_Gap:GetWidth() - 10)
	self:moveObject(XPerl_Options_Raid_Gap, "-", 10, "+", 0)
	self:moveObject(XPerl_Options_Raid_BiggerGap, "+", 4, "+", 0)
	self:skinEditBox(XPerl_Options_Raid_Gap)

	self:applySkin(XPerl_ColourPicker)
	self:applySkin(XPerl_Options_TextureSelect)
	self:applySkin(XPerl_OptionsQuestionDialog)
	self:keepRegions(XPerl_Options_Title, {1})
	self:applySkin(XPerl_Options)

	-- hook these to stop the colour changing
	self:HookScript(XPerl_ColourPicker, "OnShow", function() end)
	self:HookScript(XPerl_Options_TextureSelect, "OnShow", function() end)
	self:HookScript(XPerl_OptionsQuestionDialog, "OnShow", function() end)
	self:HookScript(XPerl_Options, "OnShow", function() end)

end
     
function Skinner:XPerl_Player()

--Player
	self:applySkin(XPerl_Player_NameFrame)
	self:applySkin(XPerl_Player_StatsFrame)
	self:applySkin(XPerl_Player_LevelFrame)
	self:applySkin(XPerl_Player_PortraitFrame)
	self:applySkin(XPerl_Player_GroupFrame)
	self:applySkin(XPerl_Player_TargettingFrame)
	self:applySkin(XPerl_Player_Class)

	self:glazeStatusBar(XPerl_Player_StatsFrame_HealthBar)
	self:glazeStatusBar(XPerl_Player_StatsFrame_ManaBar, 0)
	self:glazeStatusBar(XPerl_Player_StatsFrame_EnergyTicker, 0)
	self:glazeStatusBar(XPerl_Player_StatsFrame_DruidBar, 0)
	self:glazeStatusBar(XPerl_Player_StatsFrame_RepBar, 0)
  
end

function Skinner:XPerl_Target()

--Target
	self:applySkin(XPerl_Target_NameFrame)
	self:applySkin(XPerl_Target_StatsFrame)
	self:applySkin(XPerl_Target_LevelFrame)
	self:applySkin(XPerl_Target_PortraitFrame)
	self:applySkin(XPerl_Target_TypeFramePlayer)
	self:applySkin(XPerl_Target_AssistFrame)
	self:applySkin(XPerl_Target_BossFrame)
	self:applySkin(XPerl_Target_CreatureType)

	XPerl_Target_NameFrame:SetFrameLevel(XPerl_Target_NameFrame:GetFrameLevel() + 1)

--Focus
	self:applySkin(XPerl_Focus_NameFrame)
	self:applySkin(XPerl_Focus_StatsFrame)
	self:applySkin(XPerl_Focus_LevelFrame)
	self:applySkin(XPerl_Focus_PortraitFrame)
	self:applySkin(XPerl_Focus_TypeFramePlayer)
	self:applySkin(XPerl_Focus_BossFrame)
	self:applySkin(XPerl_Focus_CreatureType)
	
end

function Skinner:XPerl_TargetTarget()

--TargetTarget
	self:applySkin(XPerl_TargetTarget_NameFrame)
	self:applySkin(XPerl_TargetTarget_StatsFrame)
	self:applySkin(XPerl_TargetTarget_LevelFrame)
	self:applySkin(XPerl_TargetTargetTarget_NameFrame)
	self:applySkin(XPerl_TargetTargetTarget_StatsFrame)
	self:applySkin(XPerl_TargetTargetTarget_LevelFrame)

end
 
function Skinner:XPerl_Party()

--Party
	self:applySkin(XPerl_party1_NameFrame)
	self:applySkin(XPerl_party2_NameFrame)
	self:applySkin(XPerl_party3_NameFrame)
	self:applySkin(XPerl_party4_NameFrame)
	self:applySkin(XPerl_party1_StatsFrame)
	self:applySkin(XPerl_party2_StatsFrame)
	self:applySkin(XPerl_party3_StatsFrame)
	self:applySkin(XPerl_party4_StatsFrame)
	self:applySkin(XPerl_party1_LevelFrame)
	self:applySkin(XPerl_party2_LevelFrame)
	self:applySkin(XPerl_party3_LevelFrame)
	self:applySkin(XPerl_party4_LevelFrame)
	self:applySkin(XPerl_party1_PortraitFrame)
	self:applySkin(XPerl_party2_PortraitFrame)
	self:applySkin(XPerl_party3_PortraitFrame)
	self:applySkin(XPerl_party4_PortraitFrame)

--Party Target
	self:applySkin(XPerl_party1_TargetFrame)
	self:applySkin(XPerl_party2_TargetFrame)
	self:applySkin(XPerl_party3_TargetFrame)
	self:applySkin(XPerl_party4_TargetFrame)

end
	
function Skinner:XPerl_PlayerPet()

--Player Pet
	self:applySkin(XPerl_Player_Pet_NameFrame)
	self:applySkin(XPerl_Player_Pet_StatsFrame)
	self:applySkin(XPerl_Player_Pet_LevelFrame)
	self:applySkin(XPerl_Player_Pet_PortraitFrame)
	self:applySkin(XPerl_Player_Pet_HappyFrame)

end
        
function Skinner:XPerl_PartyPet()

--Party Pet
	self:applySkin(XPerl_partypet1_NameFrame)
	self:applySkin(XPerl_partypet2_NameFrame)
	self:applySkin(XPerl_partypet3_NameFrame)
	self:applySkin(XPerl_partypet4_NameFrame)
	self:applySkin(XPerl_partypet1_StatsFrame)
	self:applySkin(XPerl_partypet2_StatsFrame)
	self:applySkin(XPerl_partypet3_StatsFrame)
	self:applySkin(XPerl_partypet4_StatsFrame)
end

function Skinner:XPerl_Raid()

	for i = 1, 9 do
		for j = 1, 5 do
			self:applySkin(_G["XPerl_Raid_Grp"..i.."UnitButton"..j.."_StatsFrame"])
			self:applySkin(_G["XPerl_Raid_Grp"..i.."UnitButton"..j.."_NameFrame"])
		end
	end

end

function Skinner:XPerl_RaidHelper()

    self:applySkin(XPerl_Assists_Frame)
    self:applySkin(XPerl_RaidMonitor_Frame)

end
